[SCM] ffmpeg/master: use '-strict -2' in the encdec autopkgtest also for probing/decoding

aca-guest at users.alioth.debian.org aca-guest at users.alioth.debian.org
Wed Jun 10 22:50:28 UTC 2015


The following commit has been merged in the master branch:
commit f21b78f6ba92b417439788e611a46601963fa4af
Author: Andreas Cadhalpun <Andreas.Cadhalpun at googlemail.com>
Date:   Wed Jun 10 21:37:40 2015 +0200

    use '-strict -2' in the encdec autopkgtest also for probing/decoding

diff --git a/debian/changelog b/debian/changelog
index 764c3c9..a983887 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -6,6 +6,7 @@ ffmpeg (7:2.7-1) UNRELEASED; urgency=medium
   * Fix encdec autopkgtest to not fail, when skipping tests.
   * Restrict shlib-with-non-pic-code lintian override to i386.
     Thanks to Jakub Wilk for the hint.
+  * Use '-strict -2' in the encdec autopkgtest also for probing/decoding.
 
  -- Andreas Cadhalpun <Andreas.Cadhalpun at googlemail.com>  Fri, 05 Jun 2015 14:23:01 +0200
 
diff --git a/debian/tests/encdec b/debian/tests/encdec
index 290c53e..c23f4db 100755
--- a/debian/tests/encdec
+++ b/debian/tests/encdec
@@ -74,7 +74,7 @@ probe_file() {
 
     # determine the codec/format
     ret=0
-    info=$(ffprobe -hide_banner "$file_name" 2>&1) || ret=$?
+    info=$(ffprobe -hide_banner -strict -2 "$file_name" 2>&1) || ret=$?
     if [ "$ret" != 0 ]; then
         echo "probing failed: $ret"
         return "$ret"
@@ -115,7 +115,7 @@ decode_file() {
     file_name=$1
     ret=0
     # The option '-t 1' is necessary, because the comfortnoise decoder never stops producing noise.
-    ffmpeg -i "$file_name" -t 1 -c:v rawvideo -c:a pcm_s32le -f nut /dev/null -y -hide_banner 2>&1 || ret=$?
+    ffmpeg -strict -2 -i "$file_name" -t 1 -c:v rawvideo -c:a pcm_s32le -f nut /dev/null -y -hide_banner 2>&1 || ret=$?
     return $ret
 }
 

-- 
ffmpeg packaging



More information about the pkg-multimedia-commits mailing list